---
title: Figma libraries
---

@## Core libraries

If you're building an interface inside the Semrush suite, feel free to use our Figma libraries:

- **Core components libraries: [Inner](https://www.figma.com/file/pird5k22HfjGRUzZUfW1Qf/%E2%9D%96-New-Components), [Public](https://www.figma.com/community/file/936212718295795001/Semrush-library-%E2%80%A2-Core-components-library)**
- **Interface icons libraries: [Inner](https://www.figma.com/file/lVX2dKnVFtcSTQV7eSS5j1/%F0%9F%94%8D-Icons), [Public](https://www.figma.com/community/file/936235318408664380/Semrush-%E2%80%A2-Core-icons-library)**
- **Charts libraries: [Inner](https://www.figma.com/file/eODzGSSSlI8fl0x5fsv9cf/%E2%9C%A8-Charts), [Public](https://www.figma.com/community/file/936940441147792750/Semrush-%E2%80%A2-Charts-library)**

> There are a lot of helpful tips and hints right inside the libraries.

![all libraries](static/figma-libraries.png)

@## Additional libraries

We also have special libraries for inner usage (they are available only for Semrush designers):

- UX/UI patterns with common modules and patterns we use across different Semrush products — **[Patterns](https://www.figma.com/file/EWdX1ly5KsoNu8sywYJdKk/%F0%9F%92%A0-Patterns)**;
- UI illustrations — **[UI Illustrations](https://www.figma.com/file/0eyXfQt4cbmx5y8L5oddeo/%F0%9F%91%A9%E2%80%8D%F0%9F%8E%A4-UI-illustrations)**;
- Marketing illustrations — **[Illustration](https://www.figma.com/file/UbJFnas5a8uAVlubA8RtmU/Illustration)**;
- basic components and templates for product landings — **[Product Landings](https://www.figma.com/file/K02X01Nb0LuGuHTzsaE5DK/Product-landings-library)**;
- product email templates and components — **[Product Emails](https://www.figma.com/file/uBxKSTlXSEDiKvFp6txzrr/NEW-%E2%80%A2-Product-emails?node-id=1%3A164)**;
- library for experimental components and patterns — **[Experiments](https://www.figma.com/file/n694tB9BkzBkhxetdTiFE8/Experimental-components)**;
- components for organising your files and specs — **[Specs & Decorations](https://www.figma.com/file/WOJHmjxdmhcTmrvifJo1FkRL/Specs-and-Decoration)**.

> 💡 **Libraries with UI illustrations, patterns, experiments and email templates are open for editing for all Product Design Team members**.
>
> Therefore, if you have a new illustration, pattern or email template, feel free to add them to the shared libraries. This will make it easier for your colleagues to find ready-to-use illustrations, icons and email templates in the future.
