---
title: Visual loudness scale
---

@## Description

We want our interfaces to help users solve their problems, so we must think over and use visual hierarchy correctly.

You can check it with [visual loudness guide by Tom Osborne](https://www.viget.com/articles/visual-loudness/). All our main controls are described below according to this useful guide.

@## Our controls on the visual loudness scale

The table lists the main styles of our controls, arranged according to the scale of visual loudness.

| Appearance                                 | Type                    | Loudness                                                                                                                                                                                                    | Frequency of use          | When to use                                                                                                                                                                                                                                     |
| ------------------------------------------ | ----------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| ![danger button](static/button-1.png)      | Primary danger button   | **Screech, loud roar.** The dovahkin button, every time it appears on the page, it yells at you: `"Fus Ro Dah!"` - and it takes you to the forefathers for a while, all life flashes before your eyes, etc. | Rare                      | The action is dangerous for the user: destructive, irreversible. We need to stir him up so that he does not accidentally hurt himself.                                                                                                          |
| ![success button](static/button-2.png)     | Primary success button  | **Shout of approval.** The button winks at the user: `"Everything is great, do not be afraid, press and you will come to success!"`.                                                                        | Often                     | Good, important accent action to take, CTA. _Subscribe or upgrade your Semrush subscription, for example._                                                                                                                                      |
| ![info button](static/button-3.png)        | Primary info button     | **One-time cry.** The button does not reach you, but as if slightly reminds that it is ready to do a useful action for you. `"Hey, hello, I'm here, look what you can do!"`.                                | Often                     | A common accent action in this world of dullness. There is an inversion option for use on a dark background.                                                                                                                                    |
| ![info invert button](static/button-4.png) | Primary invert button   |                                                                                                                                                                                                             |                           |                                                                                                                                                                                                                                                 |
| ![secondary button](static/button-5.png)   | Secondary muted button  | **Conversation nearby.** This is a bro button. She will always support you, always with you, but her presence does not bother you. `"If you need anything, I'm here."`                                      | Often                     | A common action button. There is an inversion option for use on a dark background.                                                                                                                                                              |
| ![secondary button](static/button-6.png)   | Secondary invert button |                                                                                                                                                                                                             |                           |                                                                                                                                                                                                                                                 |
| ![tertiary button](static/button-7.png)    | Tertiary info button    | **Quiet request.** `"You know what to do with it, bro. I'm just reminding you."`                                                                                                                            | Often                     | Accent, but not stressful visual control. The `tertiary` button is used when there is enough space and you want to make the clicked area larger and wider. The link is used in the opposite cases - when the place was eaten by a hippopotamus. |
| ![link example](static/link.png)           | Link                    |                                                                                                                                                                                                             |                           |                                                                                                                                                                                                                                                 |
| ![tertiary button](static/button-8.png)    | Tertiary muted button   | **Whisper.** `"Psst, wanna a little more information?"`                                                                                                                                                     | Neither often nor rarely. | Non-accent control for additional information.                                                                                                                                                                                                  |
| ![hint link example](static/hint-link.png) | Hint link               |                                                                                                                                                                                                             |                           |                                                                                                                                                                                                                                                 |
