---
title: A11y
---

@## Contrast

![contrast](/core-principles/a11y/static/contrast.png)

**Requirements**:

- **Make sure that there is sufficient contrast between the text color and the background**.

- **Make sure that the minimum contrast ratio is 4.5:1**. For enlarged text and supportive icons, you can lower the contrast to 3:1. Enlarged text is text with a minimum size of 18 points in normal or 14 points in bold. There are some exceptions:

  - Logos or decorative elements on the page
  - Inactive controls

- **Make sure to use additional ways of communication or markup besides color**. This is important for colorblind users. For example, highlighting a field in red will not inform the user about an error if they can't differ colors.

> **Don't rely on color as your only visual medium**. Use bold, asterisks, icons, typography, text, check required boxes, etc.

@## Resources

- [A11y style guide](https://a11y-style-guide.com/style-guide/section-general.html#kssref-general-colors) describes the core principles of using colors.
- See the interesting deep discussion of the current contrast ratio formula — [Contrast Ratio Math and Related Visual Issues](https://github.com/w3c/wcag/issues/695).

@## Other recommendations

See more accessibility recommendations in the common [Accessibility guide](/core-principles/a11y/).
